package com.bocloud.nms.model.veeam.job;

public class VmwareObjectModel {

    private String hostName;//托管对象的 VMware vSphere 服务器的名称。
    private String name;//VMware vSphere 对象的名称
    private String type;//VMware vSphere 对象的类型。枚举类型："Unknown" "VirtualMachine" "vCenterServer" "Datacenter" "Cluster" "Host" "ResourcePool" "Folder" "Datastore" "DatastoreCluster" "StoragePolicy" "Template" "ComputeResource" "VirtualApp" "Tag" "Category" "Multitag"
    private String objectId;//VMware vSphere 对象的 ID

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getObjectId() {
        return objectId;
    }

    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    @Override public String toString() {
        return "VmwareObjectModel{" + "hostName='" + hostName + '\'' + ", name='" + name + '\'' + ", type='" + type
            + '\'' + ", objectId='" + objectId + '\'' + '}';
    }
}
